Updates the article stock location list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_stock_location_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location

globally unique identifier

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location_reference_back_office

string

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location

Embedded entity "article_stock_location" using ERP PK when adding/updating

article_stock_location

Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

quantity

Quantity in stock for this article, for this stock

integer

Required

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sys_computed_eco_stock

Quantity in stock computed for the article after all stock movements (Read-only)

decimal number
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "338e2a89-6955-46d1-9207-782fc6e95710",
  "article_stock_location_id": "40c3ea58-2259-4f1f-b629-30dc5f53e6ef",
  "article_stock_location_reference_back_office": "sample string 3",
  "article_id": "67e9283d-20c9-47a0-ad33-66d827c22cff",
  "article_code": "sample string 5",
  "quantity": 6,
  "reference_back_office": "sample string 7",
  "sys_computed_eco_stock": 8.0,
  "modified_dateutc": "2026-05-25T00:58:23.5747042+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.